Scilab Function
Last update : 00/00/0000

log - logarithme naturel

### Calling Sequence

  `y=log(x)`

### Parameters

- `x` : vecteur ou matrice (réelle ou complexe)

### Description

`log(x)` calcule le logarithme élément par élément : `y(i,j)=log(x(i,j))`. Pour le logarithme matriciel voir la fonction `logm`.

### Examples

    exp(log([1,%i,-1,-%i]))

### See Also

`log2`, `log10`, `hat`, `exp`, `frexp`, `logm`, `ieee`,